# X-NUCLEO-NFC03A1

The code has been designed for ST X-NUCLEO-NFC03A1 expansion board to show how to detect, read and write NFC tags.
The X-NUCLEO-NFC03A1 is an NFC card reader evaluation board based on CR95HF-VMD5T to enable expansion of the STM32 Nucleo boards.
The CR95HF manages frame coding and decoding in Reader mode for standard applications, such as NFC, proximity and vicinity standards.
The CR95HF embeds an analog front end to provide the 13.56 MHz air interface. The CR95HF supports ISO/IEC 14443 Type A and B, ISO/IEC 15693 
(single or double subcarrier) and ISO/IEC 18092 communication protocols, besides being MIFARE® Classic compatible.
It also supports the detection, reading and writing of NFC Forum Type 1, 2, 3 and 4 tags.

## Examples

There is one example with the X-NUCLEO-NFC03A1 library: 
* X_NUCLEO_NFC03A1_HelloWorld: This application is to show how to detect, read and write NFC Forum Type 1, 2, 3 and 4 tags.

## Documentation

You can find the source files at  
https://github.com/stm32duino/X-NUCLEO-NFC03A1

The CR95HF datasheet is available at  
http://www.st.com/content/st_com/en/products/nfc/st25-nfc-rfid-tags-readers/st25-nfc-rfid-readers/cr95hf.html

